msghdr Struct Reference

`#include <win32.h>`

## Data Fields

void * | msg_name
int | msg_namelen
struct iovec * | msg_iov
int | msg_iovlen
void * | msg_control
int | msg_controllen
int | msg_flags

## Detailed Description

Definition at line 223 of file win32.h.

## Field Documentation

void* msghdr::msg_control

Definition at line 228 of file win32.h.

int msghdr::msg_controllen

Definition at line 229 of file win32.h.

int msghdr::msg_flags

Definition at line 230 of file win32.h.

Referenced by recvmsg().

struct iovec* msghdr::msg_iov

Definition at line 226 of file win32.h.

int msghdr::msg_iovlen

Definition at line 227 of file win32.h.

void* msghdr::msg_name

Definition at line 224 of file win32.h.

Referenced by recvmsg().

int msghdr::msg_namelen

Definition at line 225 of file win32.h.

Referenced by recvmsg().

The documentation for this struct was generated from the following file:

- include/ruby/win32.h